package ostore.apps.gnutella_trace;

/** Specifies a Gnutella CDF in minutes */
public class GnutellaMinutePDF extends GnutellaHourPDF {

    /**
     * How much to divide the hour PDF by
     */
    public static final int factor = 60;

    public static final int size = (int) (dCDFarray.length*factor);

    public double getCDFEntry( int n ) {

	// first decide which hour bucket to split up
	int hour = (int) Math.floor(n/factor);
	// then fiure out the difference in seconds
	long diff = n - hour*factor;
	return dCDFarray[hour] + diff*dPDFarray[hour]/factor;
    }

    public int getCDFSize() {
	return size;
    }

    public int getIncrement() {
	// ms in an hour
	return 1000*60;
    }

}

