/*
 * Copyright (c) 2002 Regents of the University of California.  All
 * rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 * 3. Neither the name of the University nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS
 * IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
 * REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package ostore.tapestry.api;
import seda.sandStorm.api.QueueElementIF;
import seda.sandStorm.api.SinkIF;

/**
 * Notify applications that nodes have been added to or removed from the
 * routing table.
 * 
 * @author Sean C. Rhea
 * @version $Id: TapestryRoutingTableChanged.java,v 1.2 2003/03/07 00:32:58 srhea Exp $
 */
public class TapestryRoutingTableChanged implements QueueElementIF {

    public TapestryNeighborInfo [] added;
    public TapestryNeighborInfo [] removed;

    public TapestryRoutingTableChanged (
	    TapestryNeighborInfo [] a, TapestryNeighborInfo [] r) { 
	added = a;
	removed = r;
    }

    public String toString () {
	String result = "(TapestryRoutingTableChanged added=(";
	if (added != null) {
	    for (int i = added.length - 1; i >= 0; --i) 
		result += added [i] + ((i == 0) ? "" : " ");
	}
	result += ") removed=(";
	if (removed != null) {
	    for (int i = removed.length - 1; i >= 0; --i) 
		result += removed [i] + ((i == 0) ? "" : " ");
	}
	return result + "))";
    }
}

