/**
 * OutstandingMsg class.
 *
 * @author     Ling Huang
 * @version    $Id: OutstandingMsg.java,v 1.2 2002/07/23 22:30:03 hling Exp $
 */

package ostore.tapestry.channel;
import ostore.network.NetworkMessage;
import ostore.util.SecureHash;
import ostore.util.SHA1Hash;

public class OutstandingMsg
{
    private String class_tag = "OutstandingMsg";

    public NetworkMessage msg;           //The message.
    public SecureHash     msg_id;        //The unique id of this message.
    public long           tran_time;    //The exact time that the packet
                                         //is transmitted or retransmitted.
    public long           RTO;           //Retransmission time out (in ms).
    public long           DTO;           //Drop packet time out.
    public int            times;         //How many times this packet has been sent.
 

    public OutstandingMsg()
    {
	msg = null;
	msg_id = null;

	RTO = 0;
	DTO = 0;
	times = 1;
    }

    public OutstandingMsg(NetworkMessage msg, SecureHash msg_id, 
			  long tran_time, long retran_time, long drop_time)
    {
	this.msg       = msg;
	this.msg_id    = msg_id;
	this.tran_time = tran_time;
	this.RTO   = retran_time;
	this.DTO   = drop_time;
	this.times = 1;
    }

    public Object clone () 
    {
	OutstandingMsg result = new OutstandingMsg();
	
	result.msg       = msg;
	result.msg_id    = msg_id;
	result.tran_time = tran_time;
	result.RTO   = RTO;
	result.DTO   = DTO;
	result.times = times;

	return result;
    }

}

