/**
 * DynamicSurrgateMsg.java
 *
 * @author Ben Y. Zhao
 * @version $Id: DynamicSurrogateMsg.java,v 1.3 2003/03/03 22:38:38 strib Exp $
 */

package ostore.tapestry.impl;
import ostore.network.NetworkMessage;
import ostore.util.NodeId;
import ostore.util.SecureHash;
import ostore.util.TypeTable;
import ostore.util.ByteUtils;
import ostore.util.QSException;
import ostore.util.OutputBuffer;
import ostore.util.InputBuffer;
import ostore.util.QuickSerializable;
import ostore.tapestry.api.TapestryPrefixRouteMsg;

public class DynamicSurrogateMsg 
extends TapestryPrefixRouteMsg implements QuickSerializable {

  SecureHash newID;
  NodeId from;   //actual NodeID of the new node being inserted
  // AckStage stuff:
  int nonce;
  short stage_id;

  public DynamicSurrogateMsg (SecureHash newID, NodeId from, boolean inbound) {
    super(newID, inbound);
    this.newID = newID;
    this.from = from;
    this.TTL = -1;
  }

  public DynamicSurrogateMsg (InputBuffer buffer) throws QSException {
    //    super(buffer);
    newID = (SecureHash) buffer.nextObject();
    from = (NodeId) buffer.nextObject();
    nonce = buffer.nextInt();
    stage_id = buffer.nextShort();
  }

  public void serialize(OutputBuffer buffer) {
    //    super.serialize(buffer);
    buffer.add(newID);
    buffer.add(from);
    buffer.add(nonce);
    buffer.add(stage_id);
  }

  public Object clone () throws CloneNotSupportedException {
    DynamicSurrogateMsg result = (DynamicSurrogateMsg) super.clone();
    result.newID = newID;
    result.from = from;
    result.nonce = nonce;
    result.stage_id = stage_id;
    return result;
  }

  public String toString() {
    return "(DynamicSurrogateMsg: newID= "+newID+", from= "+from;
  }
}
