/**
 * FRLSChangeMsg.java<BR>
 * Message sent by a node to a node in its routing table to request
 * additional nodes with the same matching prefix.
 *
 * @author Ling Huang.
 * @version $Id: FRLSChangeMsg.java,v 1.2 2003/03/05 21:52:54 hling Exp $
 */

package ostore.tapestry.impl;
import seda.sandStorm.api.QueueElementIF;

public class FRLSChangeMsg implements QueueElementIF{
  public int digit;       //which digit level that the routing table looks at
  public int value;       //the value in this digit level
  public int old_frls;    
  public int new_frls;    

  public FRLSChangeMsg () 
  {
    this.digit = 0;
    this.value = 0;
    this.old_frls = 0;
    this.new_frls = 0;
  }

  public FRLSChangeMsg (int digit, int value, 
			int old_frls, int new_frls) 
  {
    this.digit = digit;
    this.value = value;
    this.old_frls = old_frls;
    this.new_frls = new_frls;
  }

  public Object clone () {
    FRLSChangeMsg result = new FRLSChangeMsg();
    result.digit = digit;
    result.value = value;
    result.old_frls = old_frls;
    result.new_frls = new_frls;
    return result;
  }

  public String toString() {
    String s = "(FRLSChangeMsg for " + 
	"Entry("+digit+","+value+"): " +  
	"change old_frls " +old_frls+
	" to new_frls "+new_frls;
    return s;
  }
}
