package ostore.tapestry.impl.Shuttle;

import ostore.tapestry.impl.*;

import ostore.util.QSException;
import ostore.util.SecureHash;
import ostore.util.OutputBuffer;
import ostore.util.ByteUtils;
import ostore.util.TypeTable;
import ostore.tapestry.api.TapestryRouteMsg;
import ostore.util.InputBuffer;
import ostore.util.QuickSerializable;

/**
 * Say goodbye to your online contacts before you leave
 */
public class ShuttleGoodbyeMsg 
    extends TapestryRouteMsg implements QuickSerializable {

    public String sender;
    SecureHash dest_guid;
   
    public ShuttleGoodbyeMsg(SecureHash dest_guid, String sender)
    {
	super(dest_guid);
	this.dest_guid = dest_guid;
	this.sender = sender;
    }

    public ShuttleGoodbyeMsg (InputBuffer buffer) throws QSException {
	super(buffer);
	sender = buffer.nextString();
	dest_guid = (SecureHash) buffer.nextObject();
    }
  
    public void serialize (OutputBuffer buffer) {
	super.serialize (buffer);
	buffer.add(sender);
	buffer.add(dest_guid);
    }


  public String toString() {
      return "(GoodbyeMsg to " + peer + ")";
  }

    
}


