/**
 * TestDeleteMsg.java
 *
 * @author     Ben Y. Zhao
 * @version    $Id: TestDeleteMsg.java,v 1.1 2002/09/05 23:26:56 ravenben Exp $
 */

package ostore.tapestry.impl;
import ostore.util.QSException;
import ostore.util.SecureHash;
import ostore.util.OutputBuffer;
import ostore.tapestry.api.TapestryRouteMsg;
import ostore.network.NetworkMessage;
import ostore.util.InputBuffer;
import ostore.util.NodeId;
import ostore.util.QuickSerializable;

/**
 * The msg to say we're done with delete, now start locate again
 */
public class TestDeleteMsg 
  extends NetworkMessage implements QuickSerializable {

  public int type;
  public static final int REQUEST_TYPE = 0;
  public static final int RESPONSE_TYPE = 1;
  public static final int SUCCESS_TYPE = 2;
  public static final int FAILURE_TYPE = 3;

    public TestDeleteMsg (NodeId peer, int type) {
      super (peer, false); //outbound
      this.type = type;
    }

    public TestDeleteMsg (InputBuffer buffer) throws QSException {
      super(buffer);
      type = buffer.nextInt();
    }

    public void serialize (OutputBuffer buffer) {
      super.serialize (buffer);
      buffer.add(type);
    }

  public String toString() {
    if (type == REQUEST_TYPE)
      return "TestDeleteMsg: REQUEST to "+peer;
    else if (type == SUCCESS_TYPE) 
      return "TestDeleteMsg: SUCCESS from "+peer;
    else if (type == FAILURE_TYPE)
      return "TestDeleteMsg: FAILURE from "+peer;
    else return "TestDeleteMsg: RESPONSE to "+peer;
  }
}


