/**
 * TestFoundMsg.java
 *
 * @author     Ben Y. Zhao
 * @version    $Id: TestFoundMsg.java,v 1.15 2002/11/21 02:41:29 ravenben Exp $
 */

package ostore.tapestry.impl;
import ostore.util.NodeId;
import ostore.network.NetworkMessage;
import ostore.util.QSException;
import ostore.util.SecureHash;
import ostore.util.OutputBuffer;
import ostore.tapestry.api.TapestryRouteMsg;
import ostore.util.InputBuffer;
import ostore.util.QuickSerializable;

/**
 * The msg to say we found the object you're looking for
 */
public class TestFoundMsg 
  extends NetworkMessage implements QuickSerializable {

  public SecureHash objGuid;
  public SecureHash id;

  public TestFoundMsg (NodeId src, SecureHash oguid) {
    super (src, false /*outbound*/);
    this.objGuid = oguid;
    this.id = oguid.nullHash();
  }

  public TestFoundMsg (NodeId src, SecureHash oguid, SecureHash id) {
    super (src, false /*outbound*/);
    this.objGuid = oguid;
    this.id = id;
  }

  public TestFoundMsg (InputBuffer buffer) throws QSException {
    super(buffer);
    objGuid = (SecureHash) buffer.nextObject();
    id = (SecureHash) buffer.nextObject();
  }

  public void serialize (OutputBuffer buffer) {
    super.serialize (buffer);
    buffer.add(objGuid);
    buffer.add(id);
  }

  public String toString() {
    return "(TestFoundMsg for object "+objGuid+", from/to="+ peer+ ")";
  }
}


