/**
 * MicroRouteMsg.java
 *
 * @author     Ben Y. Zhao
 * @version    $Id: MicroRouteMsg.java,v 1.12 2002/07/21 08:54:46 ravenben Exp $
 */

package ostore.tapestry.impl.test;
import ostore.util.QSException;
import ostore.util.SecureHash;
import ostore.util.OutputBuffer;
import ostore.tapestry.api.TapestryRouteMsg;
import ostore.util.InputBuffer;
import ostore.util.QuickSerializable;

/**
 * The msg to test RouteMsg in MicroBench
 */
public class MicroRouteMsg 
extends TapestryRouteMsg implements QuickSerializable {

  public byte [] content;
  public long ms;
  public int size;

  public MicroRouteMsg (SecureHash dest_guid, byte [] content, int size) {
    super (dest_guid);
    this.content = content;
    this.size = size;
    this.ms = 0;
  }

  public void setTime() {
    ms = System.currentTimeMillis();
  }

  public MicroRouteMsg (InputBuffer buffer) throws QSException {
    super(buffer);
    ms = buffer.nextLong();
    size = buffer.nextInt();
    int length = buffer.nextInt();
    content = new byte [length];
    buffer.nextBytes(content, 0, length);
  }

  public void serialize (OutputBuffer buffer) {
    super.serialize (buffer);
    buffer.add(ms);
    buffer.add(size);
    buffer.add(content.length);
    buffer.add(content, 0, content.length);
  }

  public String toString() {
    return "(MicroRouteMsg from/to="+ peer+ ")";
  }
}


