/**
 * TapestryLocateMsgChannel.
 *
 * @author     Ling Huang
 * @version    $Id: TapestryLocateMsgChannel.java,v 1.5 2002/08/18 22:39:41 srhea Exp $
 */
package ostore.tapestry.impl.test;
import ostore.tapestry.api.*;
import ostore.tapestry.channel.*;
import ostore.util.SecureHash;
import ostore.util.OutputBuffer;
import ostore.util.InputBuffer;
import ostore.util.QSException;
import ostore.util.QuickSerializable;
import seda.sandStorm.api.QueueElementIF;

/**
 * Messages sent from one OceanStore machine to any other.  To send a
 * message from one OceanStore machine to any other, one simply inherits
 * from this class, filling in the proper serialization code for the
 * inherited class's data.  (The Tapestry stage will take care of the
 * fields in this class itself.)  
 *
 * <p> Implementation-wise, this is simply a route-to-root operation.
 */
public class TapestryLocateMsgChannel 
extends TapestryLocateMsg implements QuickSerializable
{
    public TapestryLocateMsgChannel (SecureHash guid, TapestryQuery query, 
	    TapestryQueryState query_state)
    {
	super(guid, query, query_state, null);
    }

    public TapestryLocateMsgChannel  (SecureHash guid, TapestryQuery query, 
	    TapestryQueryState query_state, SecureHash id)
    {
	super(guid, query, query_state, id);
    }

    public TapestryLocateMsgChannel  (SecureHash guid, TapestryQuery query, 
	    TapestryQueryState query_state, SecureHash id, int qos)
    {
	super(guid, query, query_state, id);
	this.qos = qos;
    }

    /**
     * Empty constructor.  For use by derived types when reconstructing
     * themselves from a byte array.
     */
    public TapestryLocateMsgChannel () {}

    public TapestryLocateMsgChannel (InputBuffer buffer) throws QSException
    {
	//	super(buffer);
    }

    public void serialize (OutputBuffer buffer) 
    {
	//	super.serialize (buffer);
    }
    
    public String toString() 
    {
	return "(TapestryLocateMsgChannel from/to="+ peer+ ")";
    }
}










