/**
 * JAboutDialog.java 
 *
 * Copyright (c) 2002 Regents of the University of California.  All
 * rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 * 3. Neither the name of the University nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS
 * IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
 * REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package Sonar.Dialog;

import java.awt.*;
import javax.swing.*;
import Sonar.*;

/**
 * A basic implementation of the JDialog class.
 *
 * @author	Kamin Whitehouse <Kamin@cs.berkeley.edu>
 */
public class JAboutDialog extends javax.swing.JDialog  
{
    public JAboutDialog(Frame parentFrame) {
	super(parentFrame);
	// This code is automatically generated by Visual Cafe when you add
	// components to the visual environment. It instantiates and initializes
	// the components. To modify the code, only use code syntax that matches
	// what Visual Cafe can generate, or Visual Cafe may be unable to back
	// parse your Java file into its visual environment.
	//{{INIT_CONTROLS
	setTitle("Sonar");
	setModal(true);
	getContentPane().setLayout(new GridBagLayout());
	setSize(248,94);
	setVisible(false);

	//aboutLabel.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
	aboutLabel.setBounds(0,0,248,59);
	aboutLabel.setText("Sonar 2.0");
	getContentPane().add(aboutLabel);

	okButton.setText("OK");
	okButton.setActionCommand("OK");
	okButton.setOpaque(false);
	okButton.setMnemonic((int)'O');
	okButton.setBounds(98,80,51,25);
	getContentPane().add(okButton);
	//}}
	//{{REGISTER_LISTENERS
	SymWindow aSymWindow = new SymWindow();
	this.addWindowListener(aSymWindow);
	SymAction lSymAction = new SymAction();
	okButton.addActionListener(lSymAction);
	//}}
    }

    public void setVisible(boolean b) {
	if (b) {
	    Rectangle bounds = (getParent()).getBounds();
	    Dimension size = getSize();
	    setLocation(bounds.x + (bounds.width - size.width)/2,
		    bounds.y + (bounds.height - size.height)/2);
	}
	super.setVisible(b);
    }

    public void addNotify() {
	// Record the size of the window prior to calling parents addNotify.
	Dimension d = getSize();
	super.addNotify();
	if (fComponentsAdjusted) return;
	// Adjust components according to the insets
	Insets insets = getInsets();
	setSize(insets.left + insets.right + d.width,
		insets.top + insets.bottom + d.height);
	Component components[] = getContentPane().getComponents();
	for (int i = 0; i < components.length; i++) {
	    Point p = components[i].getLocation();
	    p.translate(insets.left, insets.top);
	    components[i].setLocation(p);
	}
	fComponentsAdjusted = true;
    }

    // Used for addNotify check.
    boolean fComponentsAdjusted = false;

    //{{DECLARE_CONTROLS
    javax.swing.JButton okButton = new javax.swing.JButton();
    javax.swing.JLabel aboutLabel = new javax.swing.JLabel();
    //}}

    class SymWindow extends java.awt.event.WindowAdapter {
	public void windowClosing(java.awt.event.WindowEvent event) {
	    Object object = event.getSource();
	    if (object == JAboutDialog.this)
		jAboutDialog_windowClosing(event);
	}
    }

    void jAboutDialog_windowClosing(java.awt.event.WindowEvent event)
    {
	// to do: code goes here.
	jAboutDialog_windowClosing_Interaction1(event);
    }	

    void jAboutDialog_windowClosing_Interaction1(java.awt.event.WindowEvent
	    event) {
	try {
	    // JAboutDialog Hide the JAboutDialog
	    this.setVisible(false);
	} 
	catch(Exception e){e.printStackTrace();}
    }
	
    class SymAction implements java.awt.event.ActionListener {
	public void actionPerformed(java.awt.event.ActionEvent event) {
	    Object object = event.getSource();
	    if (object == okButton)
		okButton_actionPerformed(event);
	}
    }

    void okButton_actionPerformed(java.awt.event.ActionEvent event) {
	// to do: code goes here.
	okButton_actionPerformed_Interaction1(event);
    }

    void okButton_actionPerformed_Interaction1(java.awt.event.ActionEvent
	    event) {
	try {
	    // JAboutDialog Hide the JAboutDialog
	    this.setVisible(false);
	} 
	catch(Exception e){e.printStackTrace();}
    }
}
