/**
 * AnalyzerMenuEvent.java
 *
 * Copyright (c) 2002 Regents of the University of California.  All
 * rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 * 3. Neither the name of the University nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS
 * IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
 * REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package Sonar.event; 
 
import Sonar.PacketAnalyzers.AnalyzerMenu; 
import seda.sandStorm.api.QueueElementIF;

/**
 * @author	Jason Lee <jlee81@cs.berkeley.edu> 
 */
public class AnalyzerMenuEvent extends java.util.EventObject implements QueueElementIF
{ 
    //dissemination
    public boolean show_create_obj;
    public boolean show_disseminate_frag;
    public boolean show_ir_create; //InnerRing Create
    public boolean show_update;
    public boolean show_req_frag;
    public boolean show_heartbeat;

    public boolean show_ir_traffic;
    public boolean show_imap;
    public boolean show_datadrivenhb;
    public boolean show_patchwork;

    //ICMP
    public boolean show_ICMP; //Traceroutes

    public boolean show_traffic; 
    public boolean show_along_tapestry;

    public AnalyzerMenuEvent(AnalyzerMenu source) {
	super(source);
	show_create_obj = source.show_create_obj;
	show_disseminate_frag = source.show_disseminate_frag;
	show_ir_create 	= source.show_ir_create;
	show_update 	= source.show_update;
	show_req_frag	= source.show_req_frag;
	show_heartbeat 	= source.show_heartbeat;

	show_ir_traffic	= source.show_ir_traffic;
	show_imap 	= source.show_imap;
	show_datadrivenhb = source.show_datadrivenhb;
	show_patchwork	= source.show_patchwork;

	show_ICMP 	= source.show_ICMP; 
	show_traffic	= source.show_traffic; 
	show_along_tapestry = source.show_along_tapestry;
    }
}	
