/*
 * SimulatorStage.java
 *
 * Copyright (c) 2001 Regents of the University of California.  All
 * rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above
 *    copyright notice, this list of conditions and the following
 *    disclaimer in the documentation and/or other materials provided
 *    with the distribution.
 * 3. Neither the name of the University nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS
 * IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE
 * REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 * SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 * CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package soss.core;
import seda.sandStorm.api.SinkIF;
import seda.sandStorm.api.internal.StageWrapperIF;
import seda.sandStorm.api.StageIF;

/**
 * Part of faking out Sandstorm.
 *
 * @author Sean C. Rhea
 * @version $Id: SimulatorStage.java,v 1.3 2003/03/01 23:11:36 strib Exp $
 */
public class SimulatorStage implements StageIF {
    
    private String _name;
    private StageWrapperIF _wrapper;
    private SinkIF _mainsink;

    public SimulatorStage (String name, StageWrapperIF wrapper, 
	    SinkIF mainsink) {
	_name = name;
	_mainsink = mainsink;
	_wrapper = wrapper;
    }

    public String getName() { return _name; }
    public SinkIF getSink() { return _mainsink; }
    public StageWrapperIF getWrapper() { return _wrapper; }
    public void destroy() {

	if( _mainsink instanceof SimulatorSink ) {
	    try {
		((SimulatorSink)_mainsink).getHandler().destroy();
	    } catch( Exception e ) {
		ostore.util.Carp.die( "While destroying stage, " + 
				      "got execption: " + e );
	    }
	} else {
	    /* TODO */
	}

    }
}

